<?php $__env->startSection('content'); ?>
    <div class="inn-body-section pad-bot-55">
        <div class="container">
            <div class="row">
                <div class="page-head">
                    <h2>All Hotel Events</h2>
                    <div class="head-title">
                        <div class="hl-1"></div>
                        <div class="hl-2"></div>
                        <div class="hl-3"></div>
                    </div>
                    <p>Events being hosted in our hotel are listed below.</p>
                </div>
                <!--TYPOGRAPHY SECTION-->
                <?php if(count($events) > 0): ?>
                    <div class="col-md-12">
                        <div class="head-typo typo-com">
                            <h2>Upcoming Events</h2>
                            <p>All future events being hosted in our hotel</p>
                            <?php $__currentLoopData = $events; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $event): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo Form::open(array('url' => 'event/'.$event->id.'/book', 'class' => 'col s12')); ?>

                            <?php echo e(Form::hidden('_method', 'POST')); ?>

                            <?php echo csrf_field(); ?>
                            <?php if($event->date < today()->format('Y-m-d')) continue; ?>
                            <!--EVENT-->

                            <div class="row events">

                                <?php if($errors->has('number_of_tickets')): ?>
                                    <div class="col-md-12 alert alert-danger">
                                        <strong>Sorry!</strong> <?php echo e($errors->first('number_of_tickets')); ?>

                                    </div>
                                <?php endif; ?>
                                <div class="col-md-2"> <img src="<?php echo e(('storage/events/'. $event->image)); ?>" alt="" /> </div>
                                <div class="col-md-8">
                                    <h3><?php echo e($event->name); ?></h3> <span><strong>Date: </strong> <?php echo e(\Carbon\Carbon::parse($event->date)->toFormattedDateString()); ?></span>
                                    <p><strong>Price: </strong>Rs. <?php echo e($event->price); ?></p>
                                    <p><?php echo e($event->description); ?></p>
                                </div>
                                <div class="col-md-2"> <span style="font-weight: bold">Number of tickets</span> </div>
                                <div class="input-field col-md-2">
                                   <input style="margin-bottom: 10px; height: 40px;" type="text" name="number_of_tickets">
                                </div>
                                <div class="col-md-2"> <input id="register-button" type="submit" value="Register" class="waves-effect waves-light event-regi"> </div>

                            </div>
                            <!--END EVENT-->
                            <?php echo Form::close(); ?>

                             <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="head-typo typo-com">
                            <h2>Past Events</h2>
                            <p>All past events hosted in our hotel</p>
                            <?php $__currentLoopData = $events; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $event): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php if($event->date > today()->format('Y-m-d') || $event->date == today()->format('Y-m-d')) continue; ?>
                            <!--EVENT-->
                                <div class="row events">
                                    <div class="col-md-2"> <img src="<?php echo e(('storage/events/'. $event->image)); ?>" alt="" /> </div>
                                    <div class="col-md-8">
                                        <h3><?php echo e($event->name); ?></h3> <span><strong>Date: </strong> <?php echo e(\Carbon\Carbon::parse($event->date)->toFormattedDateString()); ?></span>
                                        <p><strong>Price: </strong>Rs. <?php echo e($event->price); ?></p>
                                        <p><?php echo e($event->description); ?></p>
                                    </div>
                                </div>
                                <!--END EVENT-->
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                <?php else: ?>

                    <h3>No Events are currently being hosted in our hotel.</h3>
                <?php endif; ?>
                <!--END TYPOGRAPHY SECTION-->
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.front', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>