<!doctype html>
<html lang="<?php echo e(config('app.locale')); ?>">
<head>
    <meta charset="utf-8"/>
    <link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(asset('backend/img/apple-icon.png')); ?>">
    <link rel="icon" type="image/png" sizes="96x96" href="<?php echo e(asset('backend/img/favicon.png')); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"/>

    <title><?php echo e(config('app.name', 'Laravel')); ?> - <?php echo $__env->yieldContent('title', 'Dashboard'); ?></title>

    <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0' name='viewport'/>
    <meta name="viewport" content="width=device-width"/>

<?php $__env->startSection('styles'); ?>
    <!-- Bootstrap core CSS     -->
        <link href="<?php echo e(asset('backend/css/bootstrap.min.css')); ?>" rel="stylesheet"/>

        <!--  Paper Dashboard core CSS    -->
        <link href="<?php echo e(asset('backend/css/paper-dashboard.css')); ?>" rel="stylesheet"/>


        <!--  CSS for Demo Purpose, don't include it in your project     -->
        <link href="<?php echo e(asset('backend/css/demo.css')); ?>" rel="stylesheet"/>
        <link href="<?php echo e(asset('backend/css/style.css')); ?>" rel="stylesheet"/>


        <!--  Fonts and icons     -->
        <link href="<?php echo e(asset('css/font-awesome.min.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(asset('backend/css/font-muli.css')); ?>" rel='stylesheet' type='text/css'>
        <link href="<?php echo e(asset('backend/css/themify-icons.css')); ?>" rel="stylesheet">
    <?php echo $__env->yieldSection(); ?>
</head>

<body>
<div class="wrapper">
    <?php echo $__env->make('admin.components.side-navbar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>

    <div class="main-panel">
        <?php echo $__env->make('admin.components.top-navbar', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <?php echo $__env->yieldContent('content'); ?>
        <?php echo $__env->make('admin.components.footer', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
    </div>
</div>
</body>
<?php $__env->startSection('scripts'); ?>
    <!--   Core JS Files. Extra: PerfectScrollbar + TouchPunch libraries inside jquery-ui.min.js   -->
    <script src="<?php echo e(asset('backend/js/jquery-1.10.2.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('backend/js/jquery-ui.min.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('backend/js/bootstrap.min.js')); ?>" type="text/javascript"></script>

    <!--  Notifications Plugin    -->
    <script src="<?php echo e(asset('backend/js/bootstrap-notify.js')); ?>"></script>
    <!-- Sweet Alert 2 plugin -->
    <script src="<?php echo e(asset("backend/js/sweetalert2.js")); ?>"></script>
    <!-- Paper Dashboard PRO Core javascript and methods for Demo purpose -->
    <script src="<?php echo e(asset('backend/js/paper-dashboard.js')); ?>"></script>
    <!-- Paper Dashboard PRO Core javascript and methods for Demo purpose -->
    <script src="<?php echo e(asset('backend/js/demo.js')); ?>"></script>


    <script type="text/javascript">
        <?php if(count($errors) > 0): ?>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
             demo.showNotification('top', 'right', 'danger', '<?php echo e($error); ?>');
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <?php endif; ?>
        <?php if(Session::has('flash_message')): ?>
            demo.successModal('<?php echo e(Session::get('flash_title')); ?>', '<?php echo e(Session::get('flash_message')); ?>');
        <?php endif; ?>

    </script>


<?php echo $__env->yieldSection(); ?>
</html>